curl -X DELETE https://api.ringyo.ai/v1/webhooks/wh_abc123 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.ringyo.ai/v1/webhooks/wh_abc123',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
},
}
);
const result = await response.json();
// { id: 'wh_abc123', deleted: true }
import requests
response = requests.delete(
'https://api.ringyo.ai/v1/webhooks/wh_abc123',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
result = response.json()
# {'id': 'wh_abc123', 'deleted': True}
{
"id": "wh_abc123",
"deleted": true
}
{
"error": {
"code": "webhook_not_found",
"message": "The specified webhook does not exist"
}
}
Webhooks
Delete Webhook
Delete a webhook endpoint
DELETE
/
v1
/
webhooks
/
{webhook_id}
curl -X DELETE https://api.ringyo.ai/v1/webhooks/wh_abc123 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.ringyo.ai/v1/webhooks/wh_abc123',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
},
}
);
const result = await response.json();
// { id: 'wh_abc123', deleted: true }
import requests
response = requests.delete(
'https://api.ringyo.ai/v1/webhooks/wh_abc123',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
result = response.json()
# {'id': 'wh_abc123', 'deleted': True}
{
"id": "wh_abc123",
"deleted": true
}
{
"error": {
"code": "webhook_not_found",
"message": "The specified webhook does not exist"
}
}
Request
Permanently delete a webhook endpoint. Events will no longer be sent to this URL.Deleting a webhook is permanent. You will need to create a new webhook to resume receiving events.
Headers
string
required
Bearer token for authentication. Format:
Bearer YOUR_API_KEYPath Parameters
string
required
The unique identifier of the webhook to delete (e.g.,
wh_abc123)Response
Returns a confirmation of deletion.string
The ID of the deleted webhook
boolean
Always
true on successcurl -X DELETE https://api.ringyo.ai/v1/webhooks/wh_abc123 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.ringyo.ai/v1/webhooks/wh_abc123',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
},
}
);
const result = await response.json();
// { id: 'wh_abc123', deleted: true }
import requests
response = requests.delete(
'https://api.ringyo.ai/v1/webhooks/wh_abc123',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
result = response.json()
# {'id': 'wh_abc123', 'deleted': True}
{
"id": "wh_abc123",
"deleted": true
}
{
"error": {
"code": "webhook_not_found",
"message": "The specified webhook does not exist"
}
}
Error Codes
| Code | Description |
|---|---|
webhook_not_found | The specified webhook_id does not exist |
unauthorized | You don’t have permission to delete this webhook |
Alternative: Disable Instead
Instead of deleting, you can disable a webhook by updating its status:curl -X PATCH https://api.ringyo.ai/v1/webhooks/wh_abc123 \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"status": "inactive"}'